Bug 190866 - CVE-2006-1516 mysql anonymous login information leak
CVE-2006-1516 mysql anonymous login information leak
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
impact=moderate,source=vendorsec,publ...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 15:38 EDT by Josh Bressers
Modified: 2013-07-02 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 21:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-05-05 15:38:45 EDT
+++ This bug was initially created as a clone of Bug #190863 +++

The check_connection function in sql_parse.cc in MySQL 4.0.x up to 4.0.26, 4.1.x
up to 4.1.18, and 5.0.x up to 5.0.20 allows remote attackers to read portions of
memory via a username without a trailing null byte, which causes a buffer over-read.

http://www.wisec.it/vulns.php?page=7

This issue also affects FC4
Comment 1 Tom Lane 2006-05-17 21:58:54 EDT
5.0.21 is pushed into FC5, and 4.1.19 into FC4.

Note You need to log in before you can comment on or make changes to this bug.